Get Limitless Orderbooks
curl --request GET \
--url https://api.predexon.com/v2/limitless/orderbooks \
--header 'x-api-key: <api-key>'import requests
url = "https://api.predexon.com/v2/limitless/orderbooks"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.predexon.com/v2/limitless/orderbooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"snapshots": [
{
"market_slug": "<string>",
"token_id": "<string>",
"timestamp": 123,
"bids": [
{
"price": 123,
"size": 123
}
],
"asks": [
{
"price": 123,
"size": 123
}
],
"midpoint": 123,
"adjusted_midpoint": 123
}
],
"pagination": {
"limit": 123,
"count": 123,
"has_more": true,
"pagination_key": "<string>"
}
}{
"error": "<string>",
"message": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}{
"error": "<string>",
"message": "<string>"
}Orderbooks
Orderbook History
Fetch historical orderbook snapshots for a Limitless market
GET
/
v2
/
limitless
/
orderbooks
Get Limitless Orderbooks
Fetch historical orderbook snapshots for a Limitless market. Data starts from March 7th, 2026.
YES-side orderbook only.
Free & Unlimited. This endpoint does not count toward your monthly usage limits on any plan.
| Constraint | Value |
|---|---|
limit | 1–200 (default 100) |
Timestamps are in milliseconds for this endpoint.
Authorizations
Query Parameters
The Limitless market slug
Start time in Unix timestamp (milliseconds)
End time in Unix timestamp (milliseconds)
Maximum number of snapshots to return
Required range:
1 <= x <= 200Pagination key to get the next chunk of data
